# NorthernSami

@Serializable(with = IetfLanguageCodeSerializer::class )
sealed class NorthernSami : IetfLanguageCode (source)

#### Inheritors

FI
NO
SE
Companion

## Types

Companion
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object Companion : IetfLanguageCode.NorthernSami
FI
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object FI : IetfLanguageCode.NorthernSami
NO
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object NO : IetfLanguageCode.NorthernSami
SE
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object SE : IetfLanguageCode.NorthernSami

## Properties

code
Link copied to clipboard
open override val code : String
withoutDialect
Link copied to clipboard
open override val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLanguageCode . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLanguageCode ?. toJavaLocaleOrDefault (): Locale
toString
Link copied to clipboard
open override fun toString (): String